<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** 一覧（ブログ一覧、カテゴリー一覧、アーカイブ一覧）を更新日順にする *****/
function haup_list_orderby_modified( $query ) {
	if( !is_admin() && $query->is_main_query() ) {
		if( $query->is_home() || $query->is_category() || $query->is_archive() ) {
			$query->set( 'orderby', 'modified' );
		}
	}
}
add_action( 'pre_get_posts', 'haup_list_orderby_modified' );

